/*
7_sumstats.do
Hugh Montag
11/29/2023
From "On the Welfare Costs of Perception Biases", JCMB (forthcoming)

Goal: Make a table of summary statistics for inflation beliefs
*/

* Directories
global derdata = "${datapath}\Deriveddata"

* Files to import
local frdata = "${derdata}\cammedata"
local frpanel = "${derdata}\cammepanel"

//Cutoff for outliers
local percept_cutoff=20   //Drop all observations where abs(perceptions)>percept_cutoff


****************************************
* Step 0: Load Data
****************************************
* This isn't in the paper yet, I'm just curiuos what the results are
//Load in microdata
clear
* use `frpanel'
use `frdata'
sort mdate
* Truncate the inflation perceptions 
keep if abs(price_com)<=`percept_cutoff'
* Drop observations with negative weights
drop if iweight<=0

//Merge with inflation statistics
merge n:1 mdate using "${derdata}\macrostats", keep(3) nogenerate  //Only keep matching results
eststo clear

tempfile sumdata
save `sumdata', replace

****************************************
* Step 1: Median and percentile by qualitative price answer
****************************************
* "price" refers to the qualitative price question
sort price
eststo clear
estpost tabstat price_com, stat(p25 p50 p75 mean count) by(price) nototal
esttab using "${graphpath}\AppendixTable1.tex", cells("p25 p50 p75 count") noobs nonumbers replace