/*
mastercall.do
Hugh Montag
11/29/2023
From "On the Welfare Costs of Perception Biases", JCMB (forthcoming)

Goal: Create all empirical figures and regressions for the paper.

*/

clear

* Working Directory
global root "\\filer6\Oplcsrv2\Transmit\Montag_H\JMP\ReplicationPackage"
global codepath = "${root}\STATA_programs"
global datapath = "${root}
global graphpath = "${root}\results"

cd $codepath

* Designate which steps to run. Set the locals for steps you wish to run to equal 1.;
local step0 = 0   /* Build dataset */
local step1 = 0   /* Make aggregate graphs */
local step2 = 1   /* Run the basic regressions for section 3 */
local step3 = 0   /* Run wheat and level bias regressions */
local step4 = 0   /* Savings regressions */
local step5 = 0   /* Run differenced regressions */
local step6 = 0   /* Plot consumption basket graphs */
local step7 = 0   /* Make summary statistics */
local step8 = 0   /* Miscellaenous analysis */


*=============================================
* Step 0: Create the various datasets
*=============================================

if `step0' == 1 {

do 0_assembledata

}

*=============================================
* Step 1: Make aggregated graphs
*=============================================
if `step1' == 1 {
clear
do 1_agggraphs


}

*=============================================
* Step 2: Run regressions
*=============================================
if `step2' == 1 {
clear
do 2_regressions

}

*=============================================
* Step 3: Conduct wheat analysis and regress level bias
*=============================================
if `step3' == 1 {
clear
do 3_wheatlevel

}

*=============================================
* Step 4: Test effects of perceptions on savings behavior
*=============================================
if `step4' == 1 {
clear
do 4_savings

}

*=============================================
* Step 5: Run Differenced Regs and Type-4 Expectations
*=============================================
if `step5' == 1 {
clear
do 5_diffreg

}

*=============================================
* Step 6: Build Consumption Basket Inflation
*=============================================
if `step6' == 1 {
clear
do 6_consumpbask

}

*=============================================
* Step 7: Make Summary Statistics
*=============================================
if `step7' == 1 {
clear
do 7_sumstats

}

*=============================================
* Step 8: Make Summary Statistics
*=============================================
if `step8' == 1 {
clear
do 8_miscanaly

}